> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tester.army/api-reference/tester-army-api/projects/llms.txt.
> For full documentation content, see https://docs.tester.army/api-reference/tester-army-api/projects/llms-full.txt.

# List project mobile apps

GET https://tester.army/v1/projects/{projectId}/mobile

List uploaded mobile apps for a mobile project.

Reference: https://docs.tester.army/api-reference/tester-army-api/projects/list-project-mobile-apps

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: testerarmy
  version: 1.0.0
paths:
  /v1/projects/{projectId}/mobile:
    get:
      operationId: list-project-mobile-apps
      summary: List project mobile apps
      description: List uploaded mobile apps for a mobile project.
      tags:
        - subpackage_projects
      parameters:
        - name: projectId
          in: path
          description: Project ID
          required: true
          schema:
            type: string
            format: uuid
        - name: Authorization
          in: header
          description: API key authentication using Bearer token format
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of project mobile apps
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Projects_listProjectMobileApps_Response_200
        '400':
          description: Bad Request - Invalid input parameters
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListProjectMobileAppsRequestBadRequestError
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListProjectMobileAppsRequestUnauthorizedError
        '404':
          description: Project not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListProjectMobileAppsRequestNotFoundError'
        '429':
          description: Too Many Requests - Usage limit exceeded
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListProjectMobileAppsRequestTooManyRequestsError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListProjectMobileAppsRequestInternalServerError
        '504':
          description: Gateway Timeout - Test execution exceeded time limit
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListProjectMobileAppsRequestGatewayTimeoutError
servers:
  - url: https://tester.army
components:
  schemas:
    V1ProjectsProjectIdMobileGetResponsesContentApplicationJsonSchemaAppsItemsPlatform:
      type: string
      enum:
        - ios
        - android
      title: >-
        V1ProjectsProjectIdMobileGetResponsesContentApplicationJsonSchemaAppsItemsPlatform
    V1ProjectsProjectIdMobileGetResponsesContentApplicationJsonSchemaAppsItemsSource:
      type: string
      enum:
        - manual_upload
        - group_webhook_artifact
        - api_upload
      title: >-
        V1ProjectsProjectIdMobileGetResponsesContentApplicationJsonSchemaAppsItemsSource
    V1ProjectsProjectIdMobileGetResponsesContentApplicationJsonSchemaAppsItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
        platform:
          $ref: >-
            #/components/schemas/V1ProjectsProjectIdMobileGetResponsesContentApplicationJsonSchemaAppsItemsPlatform
        filename:
          type: string
        bundleId:
          type:
            - string
            - 'null'
        appVersion:
          type:
            - string
            - 'null'
        buildVersion:
          type:
            - string
            - 'null'
        fileSize:
          type: number
          format: double
        source:
          $ref: >-
            #/components/schemas/V1ProjectsProjectIdMobileGetResponsesContentApplicationJsonSchemaAppsItemsSource
        expiresAt:
          type:
            - string
            - 'null'
          format: date-time
        removeAfter:
          type:
            - integer
            - 'null'
        createdAt:
          type: string
          format: date-time
      required:
        - id
        - platform
        - filename
        - bundleId
        - appVersion
        - buildVersion
        - fileSize
        - source
        - expiresAt
        - removeAfter
        - createdAt
      title: >-
        V1ProjectsProjectIdMobileGetResponsesContentApplicationJsonSchemaAppsItems
    Projects_listProjectMobileApps_Response_200:
      type: object
      properties:
        apps:
          type: array
          items:
            $ref: >-
              #/components/schemas/V1ProjectsProjectIdMobileGetResponsesContentApplicationJsonSchemaAppsItems
      required:
        - apps
      title: Projects_listProjectMobileApps_Response_200
    ListProjectMobileAppsRequestBadRequestError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ListProjectMobileAppsRequestBadRequestError
    ListProjectMobileAppsRequestUnauthorizedError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ListProjectMobileAppsRequestUnauthorizedError
    ListProjectMobileAppsRequestNotFoundError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ListProjectMobileAppsRequestNotFoundError
    ListProjectMobileAppsRequestTooManyRequestsError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ListProjectMobileAppsRequestTooManyRequestsError
    ListProjectMobileAppsRequestInternalServerError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ListProjectMobileAppsRequestInternalServerError
    ListProjectMobileAppsRequestGatewayTimeoutError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ListProjectMobileAppsRequestGatewayTimeoutError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer token format

```

## SDK Code Examples

```python
import requests

url = "https://tester.army/v1/projects/projectId/mobile"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://tester.army/v1/projects/projectId/mobile';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tester.army/v1/projects/projectId/mobile"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://tester.army/v1/projects/projectId/mobile")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://tester.army/v1/projects/projectId/mobile")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://tester.army/v1/projects/projectId/mobile', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://tester.army/v1/projects/projectId/mobile");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://tester.army/v1/projects/projectId/mobile")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```